| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RootHistCnv::RootObjAddress Class Reference

`#include <RootObjAddress.h>`

Inheritance diagram for RootHistCnv::RootObjAddress:

[legend]
Collaboration diagram for RootHistCnv::RootObjAddress:

[legend]
List of all members.

## Detailed Description

Definition at line 10 of file RootObjAddress.h.

## Public Member Functions
| RootObjAddress ()
| Dummy constructor.
| RootObjAddress (const RootObjAddress &copy)
| RootObjAddress (long svc, const CLID &clid, const std::string &p1="", const std::string &p2="", unsigned long ip1=0, unsigned long ip2=0, TObject *tObj=0)
| Standard Constructor.
virtual | ~RootObjAddress ()
| Standard Destructor.
virtual unsigned long | addRef ()
| Add reference to object.
virtual unsigned long | release ()
| release reference to object
virtual IRegistry * | registry () const
| Pointer to directory.
virtual void | setRegistry (IRegistry *pRegistry)
| Set pointer to directory.
virtual const CLID & | clID () const
| Access : Retrieve class ID of the link.
virtual void | setClID (const CLID &clid)
| Access : Set class ID of the link.
virtual long | svcType () const
| Access : retrieve the storage type of the class id.
virtual void | setSvcType (long typ)
| Access : set the storage type of the class id.
virtual const std::string * | par () const
| Retrieve string parameters.
virtual const unsigned long * | ipar () const
| Retrieve integer parameters.
virtual TObject * | tObj () const
| Retrieve TObject* ptr.
## Protected Attributes
unsigned long | m_refCount
long | m_svcType
| Storage type.
CLID | m_clID
| Class id.
std::string | m_par [2]
| String parameters to be accessed.
unsigned long | m_ipar [2]
| Integer parameters to be accessed.
IRegistry * | m_pRegistry
| Pointer to corresponding directory.
TObject * | m_tObj
| Pointer to TObject.

## Constructor & Destructor Documentation

RootHistCnv::RootObjAddress::RootObjAddress | ( |  | ) | `[inline]`

Dummy constructor.

Definition at line 32 of file RootObjAddress.h.

References m_ipar.

    00033       : m_refCount(0),
    00034       m_svcType(0),
    00035       m_clID(0),
    00036       m_pRegistry(0),
    00037       m_tObj(0)
    00038     {
    00039       m_ipar[0]=m_ipar[1]=0xFFFFFFFF;
    00040     }

RootHistCnv::RootObjAddress::RootObjAddress | ( | const RootObjAddress & | copy | ) | `[inline]`

Definition at line 42 of file RootObjAddress.h.

References m_ipar, and m_par.

    00043       : IOpaqueAddress(copy),
    00044         m_refCount(0),
    00045         m_svcType(copy.m_svcType),
    00046         m_clID(copy.m_clID),
    00047         m_pRegistry(copy.m_pRegistry),
    00048         m_tObj(copy.m_tObj)
    00049     {
    00050       m_par[0]  = copy.m_par[0];
    00051       m_par[1]  = copy.m_par[1];
    00052       m_ipar[0] = copy.m_ipar[0];
    00053       m_ipar[1] = copy.m_ipar[1];
    00054     }

RootHistCnv::RootObjAddress::RootObjAddress | ( | long | svc,
|  | const CLID & | clid,
|  | const std::string & | p1 = `""`,
|  | const std::string & | p2 = `""`,
|  | unsigned long | ip1 = `0`,
|  | unsigned long | ip2 = `0`,
|  | TObject * | tObj = `0` |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 57 of file RootObjAddress.h.

References m_ipar, and m_par.

    00064       : m_refCount(0),
    00065       m_svcType(svc),
    00066       m_clID(clid),
    00067       m_pRegistry(0),
    00068       m_tObj(tObj)
    00069     {
    00070       m_par[0]  = p1;
    00071       m_par[1]  = p2;
    00072       m_ipar[0] = ip1;
    00073       m_ipar[1] = ip2;
    00074     }

virtual RootHistCnv::RootObjAddress::~RootObjAddress | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 77 of file RootObjAddress.h.

    00077                                 {
    00078     }

## Member Function Documentation

virtual unsigned long RootHistCnv::RootObjAddress::addRef | ( |  | ) | `[inline, virtual]`

Add reference to object.

Implements IOpaqueAddress.

Definition at line 81 of file RootObjAddress.h.

References m_refCount.

    00081                                         {
    00082       return ++m_refCount;
    00083     }

virtual unsigned long RootHistCnv::RootObjAddress::release | ( |  | ) | `[inline, virtual]`

release reference to object

Implements IOpaqueAddress.

Definition at line 85 of file RootObjAddress.h.

References m_refCount.

    00085                                         {
    00086       int cnt = --m_refCount;
    00087       if ( 0 == cnt )   {
    00088         delete this;
    00089       }
    00090       return cnt;
    00091     }

virtual IRegistry* RootHistCnv::RootObjAddress::registry | ( |  | ) | const`[inline, virtual]`

Pointer to directory.

Implements IOpaqueAddress.

Definition at line 93 of file RootObjAddress.h.

References m_pRegistry.

    00093                                               {
    00094       return m_pRegistry;
    00095     }

virtual void RootHistCnv::RootObjAddress::setRegistry | ( | IRegistry * | pRegistry | ) | `[inline, virtual]`

Set pointer to directory.

Implements IOpaqueAddress.

Definition at line 97 of file RootObjAddress.h.

References m_pRegistry.

    00097                                                      {
    00098       m_pRegistry = pRegistry;
    00099     }

virtual const CLID& RootHistCnv::RootObjAddress::clID | ( |  | ) | const`[inline, virtual]`

Access : Retrieve class ID of the link.

Implements IOpaqueAddress.

Definition at line 101 of file RootObjAddress.h.

References m_clID.

    00101                                         {
    00102       return m_clID;
    00103     }

virtual void RootHistCnv::RootObjAddress::setClID | ( | const CLID & | clid | ) | `[inline, virtual]`

Access : Set class ID of the link.

Definition at line 105 of file RootObjAddress.h.

References m_clID.

    00105                                              {
    00106       m_clID = clid;
    00107     }

virtual long RootHistCnv::RootObjAddress::svcType | ( |  | ) | const`[inline, virtual]`

Access : retrieve the storage type of the class id.

Implements IOpaqueAddress.

Definition at line 109 of file RootObjAddress.h.

References m_svcType.

    00109                                      {
    00110       return m_svcType;
    00111     }

virtual void RootHistCnv::RootObjAddress::setSvcType | ( | long | typ | ) | `[inline, virtual]`

Access : set the storage type of the class id.

Definition at line 113 of file RootObjAddress.h.

References m_svcType.

    00113                                          {
    00114       m_svcType = typ;
    00115     }

virtual const std::string* RootHistCnv::RootObjAddress::par | ( |  | ) | const`[inline, virtual]`

Retrieve string parameters.

Implements IOpaqueAddress.

Definition at line 117 of file RootObjAddress.h.

References m_par.

    00117                                            {
    00118       return m_par;
    00119     }

virtual const unsigned long* RootHistCnv::RootObjAddress::ipar | ( |  | ) | const`[inline, virtual]`

Retrieve integer parameters.

Implements IOpaqueAddress.

Definition at line 121 of file RootObjAddress.h.

References m_ipar.

    00121                                                 {
    00122       return m_ipar;
    00123     }

virtual TObject* RootHistCnv::RootObjAddress::tObj | ( |  | ) | const`[inline, virtual]`

Retrieve TObject* ptr.

Definition at line 126 of file RootObjAddress.h.

References m_tObj.

Referenced by RootHistCnv::RNTupleCnv::createRep(), RootHistCnv::RNTupleCnv::updateObj(), and RootHistCnv::RNTupleCnv::updateRep().

    00126                                   {
    00127       return m_tObj;
    00128     }

## Member Data Documentation

unsigned long RootHistCnv::RootObjAddress::m_refCount`[protected]`

Definition at line 15 of file RootObjAddress.h.

Referenced by addRef(), and release().

long RootHistCnv::RootObjAddress::m_svcType`[protected]`

Storage type.

Definition at line 17 of file RootObjAddress.h.

Referenced by setSvcType(), and svcType().

CLID RootHistCnv::RootObjAddress::m_clID`[protected]`

Class id.

Definition at line 19 of file RootObjAddress.h.

Referenced by clID(), and setClID().

std::string RootHistCnv::RootObjAddress::m_par[2]`[protected]`

String parameters to be accessed.

Definition at line 21 of file RootObjAddress.h.

Referenced by par(), and RootObjAddress().

unsigned long RootHistCnv::RootObjAddress::m_ipar[2]`[protected]`

Integer parameters to be accessed.

Definition at line 23 of file RootObjAddress.h.

Referenced by ipar(), and RootObjAddress().

IRegistry* RootHistCnv::RootObjAddress::m_pRegistry`[protected]`

Pointer to corresponding directory.

Definition at line 25 of file RootObjAddress.h.

Referenced by registry(), and setRegistry().

TObject* RootHistCnv::RootObjAddress::m_tObj`[protected]`

Pointer to TObject.

Definition at line 27 of file RootObjAddress.h.

Referenced by tObj().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/RootHistCnv/v9r16/src/RootObjAddress.h